body {
    margin: 0;
    background-color: black;
}

.servicepage-section {
    width: 100%;
    height: auto;
    max-width: 1900px;
    margin: 0;
    position: relative;
}

.servicepage-container {
    width: 100%;
    max-width: 1200px;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

/* Clear floats after the columns */
.row-servicepage:after {
    content: "";
    display: table;
    clear: both;
}

.column-servicepage {
    float: left;
    width: 100%;
    padding: 10px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: -20px;
}

/******************************/
.jumbotron {
    width: 100%;
    max-width: 1200px;
    height: 100%;
    background-color: #202020;
    display: block;
    margin-left: auto;
    margin-right: auto;
    border-radius: 5px;
    padding-top: -20px;
}

.column-serframe-table {
    width: 100%;
    max-width: 1000px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    text-align: center;
    margin-top: -40px;
    margin-bottom: -40px;
}
/* Service Navbar */
/* Deposit Navbar */
#depservice-bar {
    width: 100%;
    clear: left;
    position: absolute;
    top: 11%;
    left: 0;
}
/* Withdraw Navbar */
#withservice-bar {
    width: 100%;
    clear: left;
    position: absolute;
    top: 11%;
    left: 0;
}
/* Transfer Navbar */
#transervice-bar {
    width: 100%;
    clear: left;
    position: absolute;
    top: 12%;
    left: 0;
}
/* History Navbar */
#histservice-bar {
    width: 100%;
    clear: left;
    position: absolute;
    top: 9%;
    left: 0;
}
.bar-item {
    background-color: #EFDF4E;
    float: left;
    height: 100%;
    color: black;
    font-weight: bold;
    font-size: 17px;
    text-align: center;
    cursor: pointer;
    padding: 5px 20px 5px 20px;
    border: 1px solid black;
    transition: 0.3s;
    text-decoration: none;
    margin-bottom: 10px;
}
/* Service Navbar */
#service-bar {
    width: 100%;
    clear: left;
}

/* Change background color of buttons on hover */
#service-bar button:hover {
    background-color: #afa43f;
}

/* Create an active/current tablink class */
#service-bar button.active {
    background-color: #afa43f;
}

.bar-item {
    background-color: #EFDF4E;
    float: left;
    height: 100%;
    color: black;
    font-weight: bold;
    font-size: 17px;
    text-align: center;
    cursor: pointer;
    padding: 5px 20px 5px 20px;
    border: 1px solid black;
    transition: 0.3s;
    text-decoration: none;
    margin-bottom: 10px;
}

.dep-btn {
    border-radius: 4px 0px 0px 4px;
}

.hist-btn {
    border-radius: 0px 4px 4px 0px;
}

/* Service Body */
.span-service-icon {
    float: left;
    margin-bottom: 10px;
}

.service-icon {
    width: 100%;
    max-width: 120px;
}

.trans-ser-icon {
    width: 100%;
    max-width: 170px;
}

.hist-ser-icon {
    width: 100%;
    max-width: 190px;
}

/* Deposit/Withdraw/Transfer Table */
.precautions {
    color: white;
    font-size: 16px;
    font-weight: bold;
}

.precautions-list {
    color: white;
    font-size: 14px;
    width: 100%;
    text-align: justify;
    text-justify: inter-word;
}

.select-site {
    color: white;
    font-size: 16px;
}

.charge-amount {
    color: white;
    font-size: 16px;
}

.input-char-amo {
    height: 100%;
    width: 100%;
    max-width: 230px;
    padding-left: 10px;
    border-radius: 3px;
    border: none;
}

.amount-buttons-a {
    margin-top: 15px;
}

.amount-buttons-b {
    margin-top: 8px;
}

.btn-amount {
    background-color: skyblue;
    color: white;
    font-weight: bold;
    border-radius: 3px;
    border: none;
    width: 100%;
    max-width: 80px;
    height: 100%;
    padding: 3px;
    font-size: 15px;
}

.check-acc {
    color: white;
    font-size: 16px;
}

.submit {
    background-color: red;
    color: white;
    font-weight: bold;
    border: none;
    cursor: pointer;
    width: 100%;
    max-width: 50px;
    height: 100%;
    padding: 2px;
    border-radius: 3px;
}

.correction {
    background-color: gray;
    color: white;
    font-weight: bold;
    border: none;
    cursor: pointer;
    width: 100%;
    max-width: 50px;
    height: 100%;
    padding: 2px;
    border-radius: 3px;
}

.deposit-table,
.withdraw-table,
.transfer-table {
    border-collapse: collapse;
    width: 100%;
    height: 100%;
    max-width: 1000px;
    color: white;
    margin-left: auto;
    margin-right: auto;
}

td,
th {
    border: 1px solid gray;
    text-align: left;
    padding: 10px;
}

tr {
    background-color: black;
}

.findtransactpw-btn{
    background-color: #ffd571;
    color: #000000;
    font-weight: bold;
    border: none;
    cursor: pointer;
    width: 100%;
    max-width: 160px;
    height: 100%;
    padding: 2px;
    border-radius: 3px;
    text-align: center;
}
/* Deposit */
.dep-td-half {
    width: 150px;
}

.dep-select-sites {
    width: 100%;
    max-width: 230px;
    height: 30px;
    padding-left: 5px;
    border-radius: 3px;
    border: none;
}

.input-dep-pw {
    width: 100%;
    max-width: 230px;
    padding-left: 10px;
    border-radius: 3px;
    border: none;
}

/* Withdraw */
.with-td-half {
    width: 150px;
}

.with-select-sites {
    width: 100%;
    max-width: 230px;
    height: 30px;
    padding-left: 5px;
    border-radius: 3px;
    border: none;
}

.withdraw-select-number {
    width: 100%;
    max-width: 230px;
    height: 30px;
    padding-left: 5px;
    border-radius: 3px;
    border: none;
}

.select-num {
    color: white;
    font-size: 16px;
}

.input-with-pw {
    width: 100%;
    max-width: 230px;
    padding-left: 10px;
    border-radius: 3px;
    border: none;
}

/* Transfer */
.tran-td-half {
    width: 180px;
}

.tran-select-site {
    color: white;
    font-size: 15px;
}

.tran-from-select-sites {
    width: 100%;
    max-width: 230px;
    height: 30px;
    padding-left: 5px;
    border-radius: 2px;
    border: none;
    font-size: 14px;
}

.tran-check-acc {
    color: white;
    font-size: 16px;
}

.tran-to-select-sites {
    width: 100%;
    max-width: 230px;
    height: 30px;
    padding-left: 5px;
    border-radius: 2px;
    border: none;
    font-size: 14px;
}

/* Submit buttons */
.dep_submit {
    background-color: red;
    color: white;
    font-weight: bold;
    border: none;
    cursor: pointer;
    width: 100%;
    max-width: 120px;
    height: 100%;
    padding: 5px;
    border-radius: 3px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-top: 25px;
}

.with_submit {
    background-color: red;
    color: white;
    font-weight: bold;
    border: none;
    cursor: pointer;
    width: 100%;
    max-width: 120px;
    height: 100%;
    padding: 5px;
    border-radius: 3px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-top: 25px;
}

.tran_submit {
    background-color: red;
    color: white;
    font-weight: bold;
    border: none;
    cursor: pointer;
    width: 100%;
    max-width: 120px;
    height: 100%;
    padding: 5px;
    border-radius: 3px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-top: 25px;
}

/* Modal of Withdraw */
.modal-withdraw {
    background-color: #35C125;
    color: black;
    font-size: 17px;
    font-weight: bold;
    border: none;
    cursor: pointer;
    width: 100%;
    max-width: 160px;
    padding: 5px;
    border-radius: 3px;
    float: right;
    position: absolute;
    top: 20%;
    right: 0;
    margin-right: 10px;
}
.withdrawGuideModal{
    display: none;
    margin-left: auto;
    margin-right: auto;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    z-index: 99999;
    overflow-y: scroll;
    text-align: right;
}
.guidewithdraw {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}
.modal-header{
    position: relative;
}
.table-modal {
    background-color: white;
    color: black;
}

.modal-title {
    color: black;
    font-weight: bold;
}

.modal-th {
    background-color: white;
    text-align: center;
}

.modal-td {
    background-color: white;
    color: black;
}

.modal-td-main {
    background-color: white;
    color: black;
}

.footer-withdraw {
    text-align: right;
    color: red;
    font-weight: bold;
}
.guideclose_modal {
    position: absolute;
    right: 20px;
    top: 15%;
    color: black;
    font-size: 35px;
    font-weight: bold;
    cursor: pointer;
    z-index: 1;
}
/* History */
.col-filter {
    float: left;
    width: 100%;
    display: inline-block;
    margin-bottom: 10px;
}

.requesttypefilter {
    width: 100%;
    max-width: 110px;
    height: 100%;
    padding: 3px;
    float: left;
    border: none;
}
.historyTable {
    border-collapse: collapse;
    height: 100%;
    width: 100%;
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    color: white;
}

.historyTable td {
    padding: 8px;
    text-align: center;
    border: none;
}

.historyTable tr {
    border: 1px solid #ddd;
    padding: 8px;
}

.historyTable tr {
    background-color: black;
}

.historyTable tr:hover {
    background-color: #5a5a5a;
}

.historyTable th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: center;
    background-color: #EFDF4E;
    color: black;
    border: none;
}

.btn-transfer {
    color: white;
    font-weight: bold;
    border: none;
    border-radius: 3px;
}

.btn-action-cancel {
    background-color: #c70d3a;
    color: white;
    font-weight: bold;
    border: none;
    width: 100%;
    max-width: 100px;
    height: 100%;
    padding: 5px;
    border-radius: 3px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.btn-action-complete {
    background-color: #64e291;
    color: white;
    font-weight: bold;
    border: none;
    width: 100%;
    max-width: 100px;
    height: 100%;
    padding: 5px;
    border-radius: 3px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.btn-action-ongoing {
    background-color: #ec9b3b;
    color: white;
    font-weight: bold;
    border: none;
    width: 100%;
    max-width: 100px;
    height: 100%;
    padding: 5px;
    border-radius: 3px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.colpagination {
    text-align: center;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 15px;
}

.pagination {
    display: inline-block;
    background-color: white;
}

.pagination a {
    color: black;
    float: left;
    padding: 8px 16px;
    text-decoration: none;
    transition: background-color .3s;
    border: 1px solid #ddd;
    font-size: 12px;
}

.pagination a.active {
    background-color: #EFDF4E;
    color: black;
    border: 1px solid white;
}

.pagination a:hover:not(.active) {
    background-color: #ddd;
}